Skip to content

Get validator NFTs listed for sale on OpenSea

GET
/nfts/validators/listings
curl --request GET \
--url 'https://api.ethos.network/api/v2/nfts/validators/listings?limit=50&offset=0'
limit
integer
default: 50 <= 50
offset
integer
0 <= 2147483647

Successful response

Media typeapplication/json
object
values
required
Array<object>
object
orderHash
required
string
tokenId
required
string
name
required
string | null
imageUrl
required
string | null
priceWei
required
string
priceEth
required
string
currency
required
string
seller
required
string
openseaUrl
required
string
total
required
number
limit
required
number
offset
required
number

Example generated

{
"values": [
{
"orderHash": "example",
"tokenId": "example",
"name": "example",
"imageUrl": "example",
"priceWei": "example",
"priceEth": "example",
"currency": "example",
"seller": "example",
"openseaUrl": "example"
}
],
"total": 1,
"limit": 1,
"offset": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}